OpenNMS API 1.2.9

## org.opennms.netmgt.filter.analysis
Class AnalysisAdapter

    java.lang.Object
      org.opennms.netmgt.filter.analysis.AnalysisAdapter

All Implemented Interfaces:
  Analysis, Switch

Direct Known Subclasses:
  DepthFirstAdapter, ReversedDepthFirstAdapter, TokenIndex

public class AnalysisAdapter
extends java.lang.Object
implements Analysis

Field Summary
`private java.util.Hashtable` `in`
`private java.util.Hashtable` `out`

Constructor Summary
`AnalysisAdapter()`

Method Summary
`void` `caseAAndRule(AAndRule node)`
`void` `caseACompareExprPart(ACompareExprPart node)`
`void` `caseAExprParensExpr(AExprParensExpr node)`
`void` `caseAExprPartExpr(AExprPartExpr node)`
`void` `caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)`
`void` `caseAGtrThanExprPart(AGtrThanExprPart node)`
`void` `caseAIdentExprPart(AIdentExprPart node)`
`void` `caseAIntegerCompareRight(AIntegerCompareRight node)`
`void` `caseAIntegerOctet(AIntegerOctet node)`
`void` `caseAIpaddrIpIdent(AIpaddrIpIdent node)`
`void` `caseAIplikeExprPart(AIplikeExprPart node)`
`void` `caseALessThanEqualExprPart(ALessThanEqualExprPart node)`
`void` `caseALessThanExprPart(ALessThanExprPart node)`
`void` `caseALikeExprPart(ALikeExprPart node)`
`void` `caseANotEqualExprPart(ANotEqualExprPart node)`
`void` `caseANotExprPart(ANotExprPart node)`
`void` `caseAOctetListOctet(AOctetListOctet node)`
`void` `caseAOctetRangeListOctet(AOctetRangeListOctet node)`
`void` `caseAOctetRangeOctet(AOctetRangeOctet node)`
`void` `caseAOrRule(AOrRule node)`
`void` `caseARuleExprRule(ARuleExprRule node)`
`void` `caseAStarOctet(AStarOctet node)`
`void` `caseAStringCompareRight(AStringCompareRight node)`
`void` `caseATildelikeExprPart(ATildelikeExprPart node)`
`void` `caseEOF(EOF node)`
`void` `caseStart(Start node)`
`void` `caseTAnd(TAnd node)`
`void` `caseTBlank(TBlank node)`
`void` `caseTCompare(TCompare node)`
`void` `caseTDot(TDot node)`
`void` `caseTGtrThan(TGtrThan node)`
`void` `caseTGtrThanEqual(TGtrThanEqual node)`
`void` `caseTIdent(TIdent node)`
`void` `caseTInteger(TInteger node)`
`void` `caseTIplike(TIplike node)`
`void` `caseTLessThan(TLessThan node)`
`void` `caseTLessThanEqual(TLessThanEqual node)`
`void` `caseTLike(TLike node)`
`void` `caseTLparen(TLparen node)`
`void` `caseTNot(TNot node)`
`void` `caseTNotEqual(TNotEqual node)`
`void` `caseTNotident(TNotident node)`
`void` `caseTOctetList(TOctetList node)`
`void` `caseTOctetRange(TOctetRange node)`
`void` `caseTOctetRangeList(TOctetRangeList node)`
`void` `caseTOr(TOr node)`
`void` `caseTQuotedString(TQuotedString node)`
`void` `caseTRparen(TRparen node)`
`void` `caseTSemi(TSemi node)`
`void` `caseTStar(TStar node)`
`void` `caseTTildelike(TTildelike node)`
`void` `defaultCase(Node node)`
`java.lang.Object` `getIn(Node node)`
`java.lang.Object` `getOut(Node node)`
`void` `setIn(Node node, java.lang.Object in)`
`void` `setOut(Node node, java.lang.Object out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    private java.util.Hashtable in

### out

    private java.util.Hashtable out

Constructor Detail

### AnalysisAdapter

    public AnalysisAdapter()

Method Detail

### getIn

    public java.lang.Object getIn(Node node)

  Specified by:
    `getIn` in interface `Analysis`

### setIn

    public void setIn(Node node,
                      java.lang.Object in)

  Specified by:
    `setIn` in interface `Analysis`

### getOut

    public java.lang.Object getOut(Node node)

  Specified by:
    `getOut` in interface `Analysis`

### setOut

    public void setOut(Node node,
                       java.lang.Object out)

  Specified by:
    `setOut` in interface `Analysis`

### caseStart

    public void caseStart(Start node)

  Specified by:
    `caseStart` in interface `Analysis`

### caseAAndRule

    public void caseAAndRule(AAndRule node)

  Specified by:
    `caseAAndRule` in interface `Analysis`

### caseAOrRule

    public void caseAOrRule(AOrRule node)

  Specified by:
    `caseAOrRule` in interface `Analysis`

### caseARuleExprRule

    public void caseARuleExprRule(ARuleExprRule node)

  Specified by:
    `caseARuleExprRule` in interface `Analysis`

### caseAExprPartExpr

    public void caseAExprPartExpr(AExprPartExpr node)

  Specified by:
    `caseAExprPartExpr` in interface `Analysis`

### caseAExprParensExpr

    public void caseAExprParensExpr(AExprParensExpr node)

  Specified by:
    `caseAExprParensExpr` in interface `Analysis`

### caseAIdentExprPart

    public void caseAIdentExprPart(AIdentExprPart node)

  Specified by:
    `caseAIdentExprPart` in interface `Analysis`

### caseAGtrThanExprPart

    public void caseAGtrThanExprPart(AGtrThanExprPart node)

  Specified by:
    `caseAGtrThanExprPart` in interface `Analysis`

### caseALessThanExprPart

    public void caseALessThanExprPart(ALessThanExprPart node)

  Specified by:
    `caseALessThanExprPart` in interface `Analysis`

### caseAGtrThanEqualExprPart

    public void caseAGtrThanEqualExprPart(AGtrThanEqualExprPart node)

  Specified by:
    `caseAGtrThanEqualExprPart` in interface `Analysis`

### caseALessThanEqualExprPart

    public void caseALessThanEqualExprPart(ALessThanEqualExprPart node)

  Specified by:
    `caseALessThanEqualExprPart` in interface `Analysis`

### caseACompareExprPart

    public void caseACompareExprPart(ACompareExprPart node)

  Specified by:
    `caseACompareExprPart` in interface `Analysis`

### caseANotEqualExprPart

    public void caseANotEqualExprPart(ANotEqualExprPart node)

  Specified by:
    `caseANotEqualExprPart` in interface `Analysis`

### caseANotExprPart

    public void caseANotExprPart(ANotExprPart node)

  Specified by:
    `caseANotExprPart` in interface `Analysis`

### caseALikeExprPart

    public void caseALikeExprPart(ALikeExprPart node)

  Specified by:
    `caseALikeExprPart` in interface `Analysis`

### caseATildelikeExprPart

    public void caseATildelikeExprPart(ATildelikeExprPart node)

  Specified by:
    `caseATildelikeExprPart` in interface `Analysis`

### caseAIplikeExprPart

    public void caseAIplikeExprPart(AIplikeExprPart node)

  Specified by:
    `caseAIplikeExprPart` in interface `Analysis`

### caseAIntegerCompareRight

    public void caseAIntegerCompareRight(AIntegerCompareRight node)

  Specified by:
    `caseAIntegerCompareRight` in interface `Analysis`

### caseAStringCompareRight

    public void caseAStringCompareRight(AStringCompareRight node)

  Specified by:
    `caseAStringCompareRight` in interface `Analysis`

### caseAIpaddrIpIdent

    public void caseAIpaddrIpIdent(AIpaddrIpIdent node)

  Specified by:
    `caseAIpaddrIpIdent` in interface `Analysis`

### caseAStarOctet

    public void caseAStarOctet(AStarOctet node)

  Specified by:
    `caseAStarOctet` in interface `Analysis`

### caseAOctetListOctet

    public void caseAOctetListOctet(AOctetListOctet node)

  Specified by:
    `caseAOctetListOctet` in interface `Analysis`

### caseAOctetRangeOctet

    public void caseAOctetRangeOctet(AOctetRangeOctet node)

  Specified by:
    `caseAOctetRangeOctet` in interface `Analysis`

### caseAOctetRangeListOctet

    public void caseAOctetRangeListOctet(AOctetRangeListOctet node)

  Specified by:
    `caseAOctetRangeListOctet` in interface `Analysis`

### caseAIntegerOctet

    public void caseAIntegerOctet(AIntegerOctet node)

  Specified by:
    `caseAIntegerOctet` in interface `Analysis`

### caseTSemi

    public void caseTSemi(TSemi node)

  Specified by:
    `caseTSemi` in interface `Analysis`

### caseTNot

    public void caseTNot(TNot node)

  Specified by:
    `caseTNot` in interface `Analysis`

### caseTCompare

    public void caseTCompare(TCompare node)

  Specified by:
    `caseTCompare` in interface `Analysis`

### caseTNotEqual

    public void caseTNotEqual(TNotEqual node)

  Specified by:
    `caseTNotEqual` in interface `Analysis`

### caseTGtrThan

    public void caseTGtrThan(TGtrThan node)

  Specified by:
    `caseTGtrThan` in interface `Analysis`

### caseTGtrThanEqual

    public void caseTGtrThanEqual(TGtrThanEqual node)

  Specified by:
    `caseTGtrThanEqual` in interface `Analysis`

### caseTLessThan

    public void caseTLessThan(TLessThan node)

  Specified by:
    `caseTLessThan` in interface `Analysis`

### caseTLessThanEqual

    public void caseTLessThanEqual(TLessThanEqual node)

  Specified by:
    `caseTLessThanEqual` in interface `Analysis`

### caseTAnd

    public void caseTAnd(TAnd node)

  Specified by:
    `caseTAnd` in interface `Analysis`

### caseTOr

    public void caseTOr(TOr node)

  Specified by:
    `caseTOr` in interface `Analysis`

### caseTLike

    public void caseTLike(TLike node)

  Specified by:
    `caseTLike` in interface `Analysis`

### caseTTildelike

    public void caseTTildelike(TTildelike node)

  Specified by:
    `caseTTildelike` in interface `Analysis`

### caseTIplike

    public void caseTIplike(TIplike node)

  Specified by:
    `caseTIplike` in interface `Analysis`

### caseTLparen

    public void caseTLparen(TLparen node)

  Specified by:
    `caseTLparen` in interface `Analysis`

### caseTRparen

    public void caseTRparen(TRparen node)

  Specified by:
    `caseTRparen` in interface `Analysis`

### caseTBlank

    public void caseTBlank(TBlank node)

  Specified by:
    `caseTBlank` in interface `Analysis`

### caseTInteger

    public void caseTInteger(TInteger node)

  Specified by:
    `caseTInteger` in interface `Analysis`

### caseTIdent

    public void caseTIdent(TIdent node)

  Specified by:
    `caseTIdent` in interface `Analysis`

### caseTNotident

    public void caseTNotident(TNotident node)

  Specified by:
    `caseTNotident` in interface `Analysis`

### caseTQuotedString

    public void caseTQuotedString(TQuotedString node)

  Specified by:
    `caseTQuotedString` in interface `Analysis`

### caseTDot

    public void caseTDot(TDot node)

  Specified by:
    `caseTDot` in interface `Analysis`

### caseTStar

    public void caseTStar(TStar node)

  Specified by:
    `caseTStar` in interface `Analysis`

### caseTOctetList

    public void caseTOctetList(TOctetList node)

  Specified by:
    `caseTOctetList` in interface `Analysis`

### caseTOctetRange

    public void caseTOctetRange(TOctetRange node)

  Specified by:
    `caseTOctetRange` in interface `Analysis`

### caseTOctetRangeList

    public void caseTOctetRangeList(TOctetRangeList node)

  Specified by:
    `caseTOctetRangeList` in interface `Analysis`

### caseEOF

    public void caseEOF(EOF node)

  Specified by:
    `caseEOF` in interface `Analysis`

### defaultCase

    public void defaultCase(Node node)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.